Package com.mckoi.database

## Class Lock

- java.lang.Object
- - com.mckoi.database.Lock

    public final class Lock
    extends java.lang.Object

This is a lock on a table in the LockingMechanism class. A new instance of this class is created whenever a new lock for a table is made. A Lock may be either a READ lock or a WRITE lock. A lock is within a LockingQueue object.

Author:
  Tobias Downer

### Field Summary

Fields
`static int` `READ` These statics are used to define whether the lock is a READ or WRITE lock.
`static int` `WRITE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### READ

    public static final int READ

These statics are used to define whether the lock is a READ or WRITE lock.

See Also:
  Constant Field Values

#### WRITE

    public static final int WRITE

See Also:
  Constant Field Values

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`